<?php
/*******************************************************************************
                               Intranet - College                               
                               ==================                               

Copyright (C) 2009 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name = "Author" content = "Jérôme Signouret/Paul Kocialkowski" />

<link rel="stylesheet" type="text/css" href="style.css" />

<title>Intranet - College setup</title>

</head>

<body>

<div id = "page">
	<div id = "page_haut">
		<h1>Intranet - College setup</h1>
<?php

if(!$_GET["locale"] && !$_POST["locale"])
{
	include("../locales/en/locales.php");
	print("<h2>1/4 - ".$_I18N["Language"]."</h2>");
}
else
{
	if(!$_POST["stage"])
	{
		$stage = "2";
	}
	else
	{
		$stage = $_POST["stage"];
	}
	

	if($_GET["locale"]) $locale = $_GET["locale"];
	if($_POST["locale"]) $locale = $_POST["locale"];

	include("../locales/$locale/locales.php");
}

if($stage == "2")
{
	print("<h2>2/4 - ".$_I18N["SQL configuration"]."</h2>");
}
elseif($stage == "3")
{
	print("<h2>3/4 - ".$_I18N["User configuration"]."</h2>");
}
elseif($stage == "4")
{
	print("<h2>4/4 - ".$_I18N["Finalization"]."</h2>");
}
?>
	</div>

	<div id = "page_milieu">
<?php
if(!$_GET["locale"] && !$_POST["locale"])
{
	print("<p>".$_I18N["Choose your language: "]."</p>");

	$chemin = "../locales/";
	$chemin_open = opendir($chemin);

	while($c=readdir($chemin_open))
	{
		if(($c != "." && $c != "..") && is_dir($chemin.$c))
		{
			if(file_exists($chemin.$c."/flag.png"))
			{
				print("<a href = \"index.php?locale=$c\"><img src = \"$chemin$c/flag.png\" alt = \"$c\" /></a>");
			}
		}
	}

	closedir($chemin_open);
}

if($stage == "2")
{
	$server = $_POST["server"];
	$login = $_POST["login"];
	$password = $_POST["password"];
	$password_confirmation = $_POST["password_confirmation"];
	$database = $_POST["database"];
	$end = $_GET["end"];

	if((!$password || !$password_confirmation || !$server || !$login || !$database) || ($password && $password_confirmation && $password_confirmation != $password))
	{
		print("
	<p>".$_I18N["SQL server configuration."]."</p>
	<form action = \"index.php\" method = \"post\">
	<table class = \"center\">
		<tr>
			<td>
				".$_I18N["Server: "]."
			</td>
			<td>
				<input name = \"server\" value = \"$server\" />
			</td>
		</tr>
		<tr>
			<td>
				".$_I18N["Login: "]."
			</td>
			<td>
				<input name = \"login\" value = \"$login\"  />
			</td>
		</tr>
		<tr>
			<td>
				".$_I18N["Password: "]."
			</td>
			<td>
				<input name = \"password\" type = \"password\" /><br /><input name = \"password_confirmation\" type = \"password\" />
			</td>
		</tr>
		<tr>
			<td>
				".$_I18N["Database: "]."
			</td>
			<td>
				<input name = \"database\"  value = \"$database\" />
			</td>
		</tr>
	</table>

	<p>".$_I18N["Enter the same password in the two inputs: "]."</p>

	<p>
	<input type = \"hidden\" name  = \"locale\" value = \"$locale\" />
	<input type = \"hidden\" name  = \"stage\" value = \"2\" />
	<input type = \"submit\" value = \"".$_I18N["Send"]."\" />
	</p>
		");

		if($password && $password_confirmation && $password != $password_confirmation)
		{
			print("<div class = \"error\">".$_I18N["You didn't enter the same password."]."</div>");
		}
	}
	else
	{
		$sql = "../inc/sql.php";
		$sql_create = "install.sql";

		touch($sql);
		$config = "<?php
/*******************************************************************************
                               Intranet - College                               
                               ==================                               

Copyright (C) 2009 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

mysql_connect(\"$server\",\"$login\",\"$password\");
mysql_select_db(\"$database\");
mysql_query(\"set names utf8\");
?>";
		$file = fopen($sql, "w");
		fwrite($file, $config);
		fclose($file);

		if(file_exists($sql))
		{
			print("<div class = \"ok\">".$sql." ".$_I18N["was successfully generated."]."</div>");
		}
		else
		{
			print("<div class = \"error\">".$sql." ".$_I18N["was not successfully generated."]."</div>");
		}

		$sql_contents = file_get_contents($sql);

		if($sql_contents != "")
		{
			include("$sql");
			$query = file_get_contents($sql_create);

			$query = explode(";", $query);

			$number = "0";

			while($query[$number] != "")
			{
				$query[$number] = str_replace("'locale'", "'$locale'", $query[$number]);

				mysql_query($query[$number]) or $error[$number] = "<i>".mysql_error()."</i>";
				if($error[$number] == "<i>Query was empty</i>") unset($error[$number]) ;
				$number++;
			}

			if($error)
			{
				print("<div class = \"error\">".$_I18N["There was an error while running the sql file."]."<br /><pre class = \"pre\">");
				print_r($error);
				print("</pre></div>");
				print("
			<form action = \"index.php\" method = \"post\">
			<p>
				<input name = \"stage\" type = \"hidden\" value = \"2\" />
				<input name = \"locale\" type = \"hidden\" value = \"$locale\" />
				<input type = \"submit\" value = \"".$_I18N["Back"]."\" />
			</p>
			</form>");
			}
			else
			{
				print("
			<div class = \"ok\">".$_I18N["The sql file was succesfully run."]."</div>
			<form action = \"index.php\" method = \"post\">
			<p>
				<input name = \"stage\" type = \"hidden\" value = \"3\" />
				<input name = \"locale\" type = \"hidden\" value = \"$locale\" />
				<input type = \"submit\" value = \"".$_I18N["Next"]."\" />
			</p>
			</form>");
			}

		}
	}
}

elseif($stage == "3")
{
	$login = $_POST["login"]; 
	$login = htmlspecialchars($login);
	$password = $_POST["password"]; 
	$password_verification = $_POST["password_verification"]; 

	$name = $_POST["name"]; 
	$name = htmlspecialchars($name);
	$first_name = $_POST["first_name"]; 
	$first_name = htmlspecialchars($first_name);
	$job = $_POST["job"]; 
	$job = htmlspecialchars($job);
	$e_mail = $_POST["e_mail"]; 
	$e_mail = htmlspecialchars($e_mail);
	$title = $_POST["title"]; 
	$title = htmlspecialchars($title);
	$status = "3";

	if((!$_POST["sent"]) || ($_POST["sent"] == "1" && $password && $password_verification && $password != $password_verification) || ((!$password || !$login) && $_POST["sent"] == "1"))
	{
		print("
<p>
".$_I18N["Add a new user"]."
</p>

<form action = \"index.php\" method = \"post\">

<table class = \"center\">
	<tr>
		<td class = \"users_td_left\">
			".$_I18N["Login: "]."
		</td>
		<td>
			<input type = \"text\" name = \"login\" value = \"\"></input>
		</td>
	</tr>
	<tr>
		<td>
			".$_I18N["Password: "]."
		</td>
		<td>
			<input type = \"password\" name = \"password\" value = \"\"></input>
			<br />
			<input type = \"password\" name = \"password_verification\" value = \"\"></input>
		</td>
	</tr>
	<tr>
		<td>
			".$_I18N["Title: "]."
		</td>
		<td>
			<input type = \"radio\" name = \"title\" value = \"1\"></input>".$_I18N["Mr"]."
			<br /><input type = \"radio\" name = \"title\" value = \"2\"></input>".$_I18N["Mrs"]."
			<br /><input type = \"radio\" name = \"title\" value = \"3\"></input>".$_I18N["Miss"]."
		</td>
	</tr>
	<tr>
		<td>
			".$_I18N["First name: "]."
		</td>
		<td>
			<input type = \"text\" name = \"first_name\" value = \"\"></input>
		</td>
	</tr>
	<tr>
		<td>
			".$_I18N["Name: "]."
		</td>
		<td>
			<input type = \"text\" name = \"name\" value = \"\"></input>
		</td>
	</tr>
	<tr>
		<td>
			".$_I18N["Job: "]."
		</td>
		<td>
			<input type = \"text\" name = \"job\" value = \"\"></input>
		</td>
	</tr>
	<tr>
		<td>
			".$_I18N["e-mail: "]."
		</td>
		<td>
			<input type = \"text\" name = \"e_mail\" value = \"\"></input>
		</td>
	</tr>
</table>
<br />
	<input type = \"hidden\" name = \"stage\" value = \"3\"></input>
	<input type = \"hidden\" name = \"locale\" value = \"$locale\"></input>
	<input type = \"hidden\" name = \"sent\" value = \"1\"></input>
	<input type = \"submit\" value = \"".$_I18N["Add"]."\" class = \"users_submit\"></input>


</form>
</div>
		");

		if((!$password || !$login) && $_POST["sent"] == "1")
		{
			print("<div class = \"error\">".$_I18N["No login/password were entered."]."</div>");
		}
		elseif($password && $password != $password_verification)
		{
			print("<div class = \"error\">".$_I18N["You didn't enter the same password."]."</div>");
		}
	}
	else
	{
		include("../inc/sql.php");
		$password_md5 = md5($password);
		mysql_query("INSERT INTO in_users (login, password, name, first_name, job, e_mail, title, status) VALUES ('$login', '$password_md5', '$name', '$first_name', '$job', '$e_mail', '$title', '$status')");
		if(!mysql_error())
		{
			print("<div class = \"ok\">".$_I18N["Succesfully done."]."</div>
		<form action = \"$self\" method = \"post\">
		<p class = \"center\">
			<input name = \"stage\" type = \"hidden\" value = \"4\" />
			<input name = \"locale\" type = \"hidden\" value = \"$locale\" />
			<input type = \"submit\" value = \"".$_I18N["Next"]."\" />
		</p>
		</form>");
		}
		else
		{
			$error = mysql_error();
			print("<div class = \"error\">$error</div>");
		}
	}
}

elseif($stage == "4")
{
	print("<p id = \"display\">".$_I18N["Cleaning…"]."</p>");

	include("../inc/sql.php");
	mysql_query("UPDATE in_settings SET locale='$locale'");

	touch(".htaccess");
	$file = fopen(".htaccess", "w");
	fwrite($file, "Deny From All");

	if(file_exists(".htaccess"))
	{
		print("
	<div class = \"ok\">".$_I18N["Succesfully done."]."</div>
	<script type = \"text/javascript\">setTimeout (\"document.location.href=\\\"../pages/connection.php\\\"\", 1000);</script>
		");
	}
	else
	{
		print("<div class = \"error\">".$_I18N["There was an error while writing the .htaccess file."]."</div>");
	}
}
?>
	</div>
</div>

</body>

</html>
