CREATE TABLE `in_assistance` (
  `id` int(11) NOT NULL auto_increment,
  `date` text NOT NULL,
  `ip` text NOT NULL,
  `user` text NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `in_users` (
  `id` int(11) NOT NULL auto_increment,
  `login` text NOT NULL,
  `password` text NOT NULL,
  `name` text NOT NULL,
  `first_name` text NOT NULL,
  `job` text NOT NULL,
  `e_mail` text NOT NULL,
  `title` text NOT NULL,
  `status` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `in_settings` (
  `id` int(11) NOT NULL auto_increment,
  `theme_url` text NOT NULL,
  `locale` text NOT NULL,
  `footer_text` text NOT NULL,
  `index_pages` text NOT NULL,
  `index_admin` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `in_links` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `url_img` text NOT NULL,
  `url_link` text NOT NULL,
  `user` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


INSERT INTO in_links (name,url_img,url_link,user) VALUES ('Intranet - College','intranet_college.png','http://projets.paulk.fr/intranet_college/','root');
INSERT INTO in_settings (theme_url,locale, footer_text,index_pages,index_admin) VALUES ('../themes/default/','locale','Welcome in Intranet - College!','pages/links.php','dashboard.php');
