<?php
/*******************************************************************************
                               Intranet - College                               
                               ==================                               

Copyright (C) 2009 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

session_start();
if(!$_SESSION["login"])
{	
	header("Location: ../pages/connection.php?error=3") ;
}

$title = "I18N_Links";
include("../inc/haut.php");
?>

<?php
$next = "0";
$utf_8 = "ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ «»\"\"¿×÷¡−∕⋅…“”®©¬ →←↓↑,";
$ascii = "aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr___________..___rc__----.";

$url_img = $_POST["url_img"];
$action = $_POST["action"];
$action_aux = $_POST["action_aux"];
$action_url = $_POST["action_url"];

if(!$_POST["action"])$result_upload = $_I18N["The form data hasn't been sent."];

$chemin_destination = "../pages/links_img/";

if($action == "upload_file")
{
	if($_FILES["fichier"]["error"])
	{
		switch ($_FILES["fichier"]["error"])
		{
			case 1:
			$result_upload = $_I18N["The file's size exceed the server's maximum allowed size."];
			break;
			case 2:
			$result_upload = $_I18N["The file's size exceed the form's maximum allowed size."];
			break;
			case 3:
			$result_upload = $_I18N["The file's upload process has been interupted."];
			break;
			case 4:
			$result_upload = $_I18N["The size of the file you are trying to upload is null."];
			break;

		}
	}
	else 
	{
		$filetoupload_size = filesize($_FILES["fichier"]["tmp_name"]);

		if($filetoupload_size <= "1")
		{
			$result_ulpoad = $_I18N["The size of the file you are trying to upload is null."];
		}

		else
		{
			$_FILES["fichier"]["name"] = strtr(utf8_decode($_FILES["fichier"]["name"]), utf8_decode($utf_8), $ascii);
			$_FILES["fichier"]["name"] = htmlspecialchars(urldecode(utf8_encode($_FILES["fichier"]["name"])));

			$filename = $chemin_destination.$_FILES["fichier"]["name"];

			if((file_exists($filename))&&($filename != "$chemin_destination"))
			{
				$result_upload = $_I18N["A file with the same name has already been uploaded.<br /> Please, rename it or ask your Administrator for a pictures folder's cleaning."];
			}
			else
			{
				move_uploaded_file($_FILES["fichier"]["tmp_name"], $chemin_destination.$_FILES["fichier"]["name"]);
				$target_path = $chemin_destination . basename($_FILES["fichier"]["name"]); 
				$target_path = stripslashes($target_path);

				$next = "1";
			}
		}
	}
}

if($action == "upload_url")
{
	$url_img = $_POST["url_img"];

	$er=0;

	if(!preg_match('/^(http:\/\/)?([\w\-\.]+)\:?([0-9]*)\/(.*)$/', $url_img, $url_img_ary)) $er=1;

	if(empty($url_img_ary[4])) $er=1;

	if($er==1) 
	{
		$result_upload = $_I18N["The URL you've indicated seems not to be unvalid."];
	}
	else
	{
		$maxsize = 5120000;
		
		$base_filename = substr($url_img_ary[4],strrpos($url_img_ary[4],"/")+1);

		$base_get = '/' . $url_img_ary[4];

		$port = (!empty($url_img_ary[3]) ) ? $url_img_ary[3] : 80;

		if($base_filename == "")
		{
			$result_upload = $_I18N["The URL you've indicated seems not to be unvalid."];
		}
		else
		{
			if ( !@($fsock = fsockopen($url_img_ary[2], $port, $errno, $errstr)) )
			{
				$result_upload = $_I18N["Unable to connect to the remote server."];
			}
			else
			{
				fputs($fsock, "GET $base_get HTTP/1.1\r\n");

				fputs($fsock, "Host: " . $url_img_ary[2] . "\r\n");

				fputs($fsock, "Accept-Language: fr\r\n");

				fputs($fsock, "Accept-Encoding: none\r\n");

				fputs($fsock, "User-Agent: PHP\r\n");

				fputs($fsock, "Connection: close\r\n\r\n");

				unset($data);

				while( !feof($fsock) )
				{
					$data .= fread($fsock, $maxsize);

				}

				fclose($fsock);

				if (!preg_match('#Content-Length\: ([0-9]+)[^ /][\s]+#i', $data, $file_data1) || !preg_match('#Content-Type\: image/[x\-]*([a-z]+)[\s]+#i', $data, $file_data2))
				{
					$filesize = $file_data1[1]; 

					$filetype = $file_data2[1]; 

					if(!preg_match('#Content-Type\: text/[x\-]*([a-z]+)[\s]+#i', $data, $file_data2)||($filesize <= "1"))
					{
						$result_upload = $_I18N["The URL you've entered seems not to contain data."];
					}
					else
					{
						$result_upload = $_I18N["The type of connection required to download the image is not authorized by the remote server or the URL you have specified does not correspond to an image. To send the image, download it on your computer and send it with the other form."];
					}
				}
				else
				{
					$filesize = $file_data1[1]; 

					$filetype = $file_data2[1]; 

					if ( !$error && $filesize > 0 && $filesize < $maxsize )
					{
						$data = substr($data, strlen($data) - $filesize, $filesize);

						$base_filename = strtr(utf8_decode($base_filename), utf8_decode($utf_8), $ascii);
						$base_filename = htmlspecialchars(urldecode(utf8_encode($base_filename)));
		
						$filename = $chemin_destination.$base_filename;

						if(file_exists($filename))
						{
							$result_upload = $_I18N["A file with the same name has already been uploaded.<br /> Please, rename it or ask your Administrator for a pictures folder's cleaning."];
						}
						else
						{
							$fptr = fopen($filename, 'wb');

							$bytes_written = fwrite($fptr, $data, $filesize);

							fclose($fptr);

							if($bytes_written != $filesize)
							{
								$result_uoad = $_I1N["Error while writing the file."];
							}
							else
							{
								$target_path = $filename;
								$next = "1";
							}
						}
					}
					else
					{
						$result_upload = $_I18N["The file's size exceed the server's maximum allowed size."];
					}
				}
			}
		}
	}
}

if($next == "1" && !$result_upoad)
{
	$mime = mime_content_type("$target_path");
	if($mime == "image/png" || $mime == "image/jpeg" || $mime == "image/gif")
	{
		$file = $target_path;
		$size = getimagesize($file);
		$x = 350;

		if($size["mime"]=="image/jpeg"){$img = ImageCreateFromJpeg($file);}
		elseif ($size["mime"]=="image/png"){$img = ImageCreateFromPng($file);}
		elseif ($size["mime"]=="image/gif"){$img = ImageCreateFromGif($file);}
		else{}

		$old_x = imagesx($img);
		$old_y = imagesy($img);
		$calcul_1 = $x * $old_y;
		$y = $calcul_1 / $old_x;

		if($size["mime"]=="image/jpeg" )
		{
			$img_big = imagecreatefromjpeg($file);
			$img_new = imagecreate($x, $y);
			$img_mini = imagecreatetruecolor($x, $y) or $img_mini = imagecreate($x, $y);
			imagecopyresampled($img_mini,$img_big,0,0,0,0,$x,$y,$size[0],$size[1]);
			imagejpeg($img_mini,$file);
		}
		elseif ($size["mime"]=="image/png" ) 
		{
			$img_big = imagecreatefrompng($file);
			$img_new = imagecreate($x, $y);
			$img_mini = imagecreatetruecolor($x, $y) or $img_mini = imagecreate($x, $y);
			imagecopyresampled($img_mini,$img_big,0,0,0,0,$x,$y,$size[0],$size[1]);
			imagepng($img_mini,$file,null);
		}
		elseif ($size["mime"]=="image/gif") 
		{
			$img_big = imagecreatefromgif($file);
			$img_new = imagecreate($x, $y);
			$img_mini = imagecreatetruecolor($x, $y) or $img_mini = imagecreate($x, $y);
			imagecopyresampled($img_mini,$img_big,0,0,0,0,$x,$y,$size[0],$size[1]);
			imagegif($img_mini,$file,null);
		}

		$target_path_exploded = explode("/", $target_path);
		$target_path_exploded_ok = $target_path_exploded[3];
		$target_path_exploded_ok = htmlspecialchars($target_path_exploded_ok);

		$result_upload = $_I18N["The picture has been succesfully sent."];
	}
	else
	{
		$result_upload = $_I18N["The sent file can't be used."];
		if($_FILES["fichier"] != "")
		{
			$result_upload = $_I18N["The sent file can't be used. It'll be destroyed."];
			unlink("$target_path");
		}
		else
		{
		}
	}
}

if($target_path_exploded_ok == "")
{
	$target_path_exploded_ok = "can_not_upload_file";
}

if($action_aux == "set_del" && $action_url && $result_upload)
{
	print("
<form action = \"$action_url\" method = \"post\" name = \"form_upload\">
	<p>
		<input type = \"hidden\" name = \"target_path_exploded_ok\" value = \"$target_path_exploded_ok\"></input>
		<input type = \"hidden\" name = \"result_upload\" value = \"$result_upload\"></input>
		<input type = \"hidden\" name = \"result_upload_aux\" value = \"set_del\"></input>
		<input type = \"submit\" value = \"Submit\"></input>
	</p>
</form>

<script type= \"text/javascript\">
document.form_upload.submit();
</script>
	");
}

elseif($result_upload && $action_aux != "set_del")
{
	print("
<form action = \"links.php#links_add\" method = \"post\" name = \"form_upload\">
	<p>
		<input type = \"hidden\" name = \"target_path_exploded_ok\" value = \"$target_path_exploded_ok\"></input>
		<input type = \"hidden\" name = \"result_upload\" value = \"$result_upload\"></input>
		<input type = \"submit\" value = \"Submit\" style = \"display: none;\"></input>
	</p>
</form>

<script type= \"text/javascript\">
document.form_upload.submit();
</script>
	");
}


print("$result_upload");
?>

<?php
include("../inc/bas.php");
?>
