<?php
/*******************************************************************************
                               Intranet - College                               
                               ==================                               

Copyright (C) 2009 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

//Setup

$_I18N["Add"] = "Add";
$_I18N["Add a new user"] = "Add a new user";
$_I18N["Back"] = "Back";
$_I18N["Choose your language: "] = "Choose your language: ";
$_I18N["Cleaning…"] = "Cleaning…";
$_I18N["Database: "] = "Database: ";
$_I18N["e-mail: "] = "e-mail: ";
$_I18N["Enter the same password in the two inputs: "] = "Enter the same password in the two inputs: ";
$_I18N["Finalization"] = "Finalization";
$_I18N["First name: "] = "First name: ";
$_I18N["Job: "] = "Job: ";
$_I18N["Language"] = "Language";
$_I18N["Miss"] = "Miss";
$_I18N["Mr"] = "Mr";
$_I18N["Mrs"] = "Mrs";
$_I18N["Name: "] = "Name: ";
$_I18N["Next"] = "Next";
$_I18N["No login/password were entered."] = "No login/password were entered.";
$_I18N["Password: "] = "Password: ";
$_I18N["Send"] = "Send";
$_I18N["Server: "] = "Server: ";
$_I18N["SQL configuration"] = "SQL configuration";
$_I18N["SQL server configuration."] = "SQL server configuration.";
$_I18N["Succesfully done."] = "Succesfully done.";
$_I18N["There was an error while running the sql file."] = "There was an error while running the sql file.";
$_I18N["There was an error while writing the .htaccess file."] = "There was an error while writing the .htaccess file";
$_I18N["The sql file was succesfully run."] = "The sql file was succesfully run.";
$_I18N["Title: "] = "Title: ";
$_I18N["User configuration"] = "User configuration";
$_I18N["User name: "] = "User name: ";
$_I18N["Login: "] = "User name: ";
$_I18N["was not successfully generated."] = "was not successfully generated.";
$_I18N["was successfully generated."] = "was successfully generated.";
$_I18N["You didn't enter the same password."] = "You didn't enter the same password.";

//Tabs

$_I18N["Assistance"] = "Assistance";
$_I18N["Configuration"] = "Configuration";
$_I18N["Connection"] = "Connection";
$_I18N["Dashboard"] = "Dashboard";
$_I18N["Disconnection"] = "Disconnection";
$_I18N["Links"] = "Links";
$_I18N["Managment"] = "Managment";
$_I18N["Users"] = "Users";

//Includes

$_I18N["Welcome, "] = "Welcome, ";

//Pages

$_I18N["Request: "] = "Request: ";
$_I18N["Send"] = "Send";
$_I18N["The user name/password is not correct."] = "The user name/password is not correct.";
$_I18N["You are not allowed to view this page."] = "You are not allowed to view this page.";
$_I18N["You didn't enter all the requested data."] = "You didn't enter all the requested data.";
$_I18N["An error has occured."] = "An error has occured.";

//Admin

$_I18N["From: "] = "From: ";
$_I18N["Delete"] = "Delete";
$_I18N["IP: "] = "IP: ";
$_I18N["Nobody asked for assistance."] = "Nobody asked for assistance.";
$_I18N["On: "] = "On: ";

$_I18N["Administrator"] = "Administrator";
$_I18N["If you don't wish to change yopur password, don't fill the \"Password\" and \"Security\" inputs."] = "If you don't wish to change yopur password, don't fill the \"Password\" and \"Security\" inputs.";
$_I18N["Manager"] = "Manager";
$_I18N["Modify/delete"] = "Modify/delete";
$_I18N["Modify"] = "Modify";
$_I18N["New user"] = "New user";
$_I18N["Please, enter an account name."] = "Please, enter an account name.";
$_I18N["Reset"] = "Reset";
$_I18N["Security: "] = "Security: ";
$_I18N["Status: "] = "Status: ";
$_I18N["Teacher"] = "Teacher";
$_I18N["The login and password must contain only lowercase letters and/or capital from a to z and can have accents as well as numbers from 0 to 9."] = "The login and password must contain only lowercase letters and/or capital from a to z and can have accents as well as numbers from 0 to 9.";
$_I18N["The login you've entered is already used."] = "The login you've entered is already used.";
$_I18N["To avoid typing errors, enter the same password in the \"Password\" and in the \"Security\" inputs."] = "To avoid typing errors, enter the same password in the \"Password\" and in the \"Security\" inputs.";
$_I18N["You don't have the autorisations to modify this profile. You're just alowed to modify your own profil."] = "You don't have the autorisations to modify this profile. You're just alowed to modify your own profil.";
$_I18N["Warning"] = "Warning";
$_I18N["You're not allowed to view this page."] = "You're not allowed to view this page.";

$_I18N["Add a picture: "] = "Add a picture: ";
$_I18N["<br /> To apply the new image, click \"Send\"."] = "<br /> To apply the new image, click \"Send\".";
$_I18N["Delete picture"] = "Delete picture";
$_I18N["From URL: "] = "From URL: ";
$_I18N["Link: "] = "Link: ";
$_I18N["New link: "] = "New link: ";
$_I18N["Remove"] = "Remove";
$_I18N["Send a picture: "] = "Send a picture: ";
$_I18N["Without picture: "] = "Without picture: ";
$_I18N["You don't have the autorisations to modify this link. You're just alowed to modify your own links."] = "You don't have the autorisations to modify this link. You're just alowed to modify your own links.";

$_I18N["A file with the same name has already been uploaded.<br /> Please, rename it or ask your Administrator for a pictures folder's cleaning."] = "A file with the same name has already been uploaded.<br /> Please, rename it or ask your Administrator for a pictures folder's cleaning.";
$_I18N["The file's size exceed the form's maximum allowed size."] = "The file's size exceed the form's maximum allowed size.";
$_I18N["The file's size exceed the server's maximum allowed size."] = "The file's size exceed the server's maximum allowed size.";
$_I18N["The file's upload process has been interupted."] = "The file's upload process has been interupted.";
$_I18N["The form data hasn't been sent."] = "The form data hasn't been sent.";
$_I18N["The picture has been succesfully sent."] = "The picture has been succesfully sent.";
$_I18N["The sent file can't be used. It'll be destroyed."] = "The sent file can't be used. It'll be destroyed.";
$_I18N["The sent file can't be used."] = "The sent file can't be used.";
$_I18N["The size of the file you are trying to upload is null."] = "The size of the file you are trying to upload is null.";
$_I18N["The type of connection required to download the image is not authorized by the remote server or the URL you have specified does not correspond to an image. To send the image, download it on your computer and send it with the other form."] = "The type of connection required to download the image is not authorized by the remote server or the URL you have specified does not correspond to an image. To send the image, download it on your computer and send it with the other form.";
$_I18N["The URL you've entered seems not to contain data."] = "The URL you've entered seems not to contain data.";
$_I18N["The URL you've indicated seems not to be unvalid."] = "The URL you've indicated seems not to be unvalid.";
$_I18N["Unable to connect to the remote server."] = "Unable to connect to the remote server.";

$_I18N["Clean pictures folder."] = "Clean pictures folder.";
$_I18N["Footer text: "] = "Footer text: ";
$_I18N["If you choose a page with restricted access rights, Teachers and Managers will be redirected on a page they're not allowed to see, so they won't see anything. That's not very useful."] = "If you choose a page with restricted access rights, Teachers and Managers will be redirected on a page they're not allowed to see, so they won't see anything. That's not very useful.";
$_I18N["Index - Administration: "] = "Index - Administration: ";
$_I18N["Index: "] = "Index: ";
$_I18N["Language: "] = "Language: ";
$_I18N["Theme: "] = "Theme: ";
?>
