<?php
/*******************************************************************************
                               Intranet - College                               
                               ==================                               

Copyright (C) 2009 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

//Setup

$_I18N["Add"] = "Ajouter";
$_I18N["Add a new user"] = "Ajouter un nouvel utilisateur";
$_I18N["Back"] = "Retour";
$_I18N["Choose your language: "] = "Langue : ";
$_I18N["Cleaning…"] = "Nettoyage…";
$_I18N["Database: "] = "Base de données : ";
$_I18N["e-mail: "] = "e-mail : ";
$_I18N["Enter the same password in the two inputs: "] = "Entrez le même mot de passe dans les deux champs : ";
$_I18N["Finalization"] = "Finalisation";
$_I18N["First name: "] = "Prénom : ";
$_I18N["Job: "] = "Travail : ";
$_I18N["Language"] = "Langage";
$_I18N["Miss"] = "Mlle";
$_I18N["Mr"] = "M.";
$_I18N["Mrs"] = "Mme";
$_I18N["Name: "] = "Nom : ";
$_I18N["Next"] = "Suivant";
$_I18N["No login/password were entered."] = "Pas de login/mot de passe entré.";
$_I18N["Password: "] = "Mot de passe : ";
$_I18N["Send"] = "Envoyer";
$_I18N["Server: "] = "Serveur : ";
$_I18N["SQL configuration"] = "Configuration SQL";
$_I18N["SQL server configuration."] = "Configuration SQL du serveur.";
$_I18N["Succesfully done."] = "Terminé avec succès.";
$_I18N["There was an error while running the sql file."] = "Erreur à l'exécution du fichier sql.";
$_I18N["There was an error while writing the .htaccess file."] = "Erreur à l'écriture du fichier .htaccess.";
$_I18N["The sql file was succesfully run."] = "Fichier sql exécuté avec succès.";
$_I18N["Title: "] = "Titre : ";
$_I18N["User configuration"] = "Configuration de l'utilisateur";
$_I18N["User name: "] = "Nom d'utilisateur : ";
$_I18N["Login: "] = "Login : ";
$_I18N["was not successfully generated."] = "n'a pas été généré avec succès.";
$_I18N["was successfully generated."] = "a été généré avec succès.";
$_I18N["You didn't enter the same password."] = "Vous n'avez pas entré le même mot de passe. C'est si dur que ça ?";

//Tabs

$_I18N["Assistance"] = "Assistance interne";
$_I18N["Configuration"] = "Configuration";
$_I18N["Connection"] = "Connexion";
$_I18N["Dashboard"] = "Tableau de bord";
$_I18N["Disconnection"] = "Déconnexion";
$_I18N["Links"] = "Liens utiles";
$_I18N["Managment"] = "Gestion";
$_I18N["Users"] = "Utilisateurs";

//Includes

$_I18N["Welcome, "] = "Bienvenue, ";

//Pages

$_I18N["Request: "] = "Demande : ";
$_I18N["Send"] = "Envoyer";
$_I18N["The user name/password is not correct."] = "Le login et/ou le mot de passe est/sont incorrect(s).";
$_I18N["You are not allowed to view this page."] = "Vous n'êtes pas autorisé à visionner cette page.";
$_I18N["You didn't enter all the requested data."] = "Vous n'avez pas rentré toutes les données demandées.";
$_I18N["An error has occured."] = "Uen erreur est apparue.";

//Admin

$_I18N["From: "] = "Par : ";
$_I18N["Delete"] = "Supprimer";
$_I18N["IP: "] = "IP : ";
$_I18N["Nobody asked for assistance."] = "Aucune demande d'assistance.";
$_I18N["On: "] = "Le : ";

$_I18N["Administrator"] = "Administrateur";
$_I18N["If you don't wish to change yopur password, don't fill the \"Password\" and \"Security\" inputs."] = "Si vous ne souhaitez pas changer votre mot de passe, laissez les entrées « Mot de passe » et « Sécurité » vides.";
$_I18N["Manager"] = "Gestionnaire";
$_I18N["Modify/delete"] = "Modifier/supprimer";
$_I18N["Modify"] = "Modifier";
$_I18N["New user"] = "Nouvel utilisateur";
$_I18N["Please, enter an account name."] = "Entrez un nom de compte.";
$_I18N["Reset"] = "Réinitialiser";
$_I18N["Security: "] = "Sécurité : ";
$_I18N["Status: "] = "Status : ";
$_I18N["Teacher"] = "Professeur";
$_I18N["The login and password must contain only lowercase letters and/or capital from a to z and can have accents as well as numbers from 0 to 9."] = "Le login et le mot de passe ne doivent contenir uniquement que des minuscules et/ou majuscules allant de a à z ainsi que des nombres allant de 0 à 9";
$_I18N["The login you've entered is already used."] = "Le nom de compte que vous avez entré est déjà utilisé.";
$_I18N["To avoid typing errors, enter the same password in the \"Password\" and in the \"Security\" inputs."] = "Entrez le même mot de passe dans les champs « Mot de passe » et « Sécurité ».";
$_I18N["You don't have the autorisations to modify this profile. You're just alowed to modify your own profil."] = "Vous n'avez pas le droit de modifier ce profil. Vous ne pouvez modifier que votre propre profil.";
$_I18N["Warning"] = "Attention";
$_I18N["You're not allowed to view this page."] = "Vous n'avez pas les autorisations requises pour visionner cette page.";

$_I18N["Add a picture: "] = "Ajouter uen image : ";
$_I18N["<br /> To apply the new image, click \"Send\"."] = "<br /> Pour appliquer la nouvelle image, cliquez sur « Send ».";
$_I18N["Delete picture"] = "Supprimer l'image";
$_I18N["From URL: "] = "Depuis une URL : ";
$_I18N["Link: "] = "Lien : ";
$_I18N["New link: "] = "Nouveau lien : ";
$_I18N["Remove"] = "Supprimer";
$_I18N["Send a picture: "] = "Envoyer une image : ";
$_I18N["Without picture: "] = "Sans image : ";
$_I18N["You don't have the autorisations to modify this link. You're just alowed to modify your own links."] = "Vous n'avez pas les autorisations pour modifier ce lien. Vous n'êtes autorisé qu'a modifier vos propores liens.";

$_I18N["A file with the same name has already been uploaded.<br /> Please, rename it or ask your Administrator for a pictures folder's cleaning."] = "Un fichier avec le même nom a déjà été envoyé.<br />Renommez-le ou demandez à votre Administrateur de faire un « Nettoyage du dosser images ».";
$_I18N["The file's size exceed the form's maximum allowed size."] = "Le fichier dépasse la taille maximum acceptés par le forumlaire.";
$_I18N["The file's size exceed the server's maximum allowed size."] = "Le fichier dépasse la taille maximum acceptés par le serveur.";
$_I18N["The file's upload process has been interupted."] = "Le processus d'envoi du fichier a été interrompu.";
$_I18N["The form data hasn't been sent."] = "Les données du formulaire n'ont pas été transmises.";
$_I18N["The picture has been succesfully sent."] = "L'image a été envoyée avec succès.";
$_I18N["The sent file can't be used. It'll be destroyed."] = "L'image envoyée ne peut être utilisée. Elle va être détruite.";
$_I18N["The sent file can't be used."] = "L'image envoyée ne peut être utilisée.";
$_I18N["The size of the file you are trying to upload is null."] = "La taille du fichier que vous tentez d'envoyer a une taille nulle.";
$_I18N["The type of connection required to download the image is not authorized by the remote server or the URL you have specified does not correspond to an image. To send the image, download it on your computer and send it with the other form."] = "Le type de connexion requis pour télécharger l'image n'est pas autorisé par le serveur distant. Pour envoyer l'image, téléchargez-là sur votre ordinateur et envoyez-la au moyen de l'autre formulaire.";
$_I18N["The URL you've entered seems not to contain data."] = "L'URL que vous avez entré ne semble contenir aucune donnée.";
$_I18N["The URL you've indicated seems not to be unvalid."] = "L'URL que vous avez entré semble être invalide.";
$_I18N["Unable to connect to the remote server."] = "Impossible de se connecter au serveur distant.";

$_I18N["Clean pictures folder."] = "Nettoyer le dossier images.";
$_I18N["Footer text: "] = "Texte de bas de page : ";
$_I18N["If you choose a page with restricted access rights, Teachers and Managers will be redirected on a page they're not allowed to see, so they won't see anything. That's not very useful."] = "Si vous choisissez une page avec des droits d'accès restreints, les Professeurs et les Gestionnaires seront redirigés vers une page qu'ils ne sont pas autorisés à voir, donc ils ne vont rien voi du tout. Ce n'est pas très pratique.";
$_I18N["Index - Administration: "] = "Accueil - Administration : ";
$_I18N["Index: "] = "Accueil : ";
$_I18N["Language: "] = "Langue : ";
$_I18N["Theme: "] = "Thème : ";
?>
